<!--烟雾探测 -->
<template>
    <div class="page-top">
        <div class="page-top-left">
            <DeviceImage :typeId="1201" />

            <div style="height: 230px; width: 100%; margin-top: 16px;">
                <DeviceInfo />
            </div>
        </div>
        <div class="page-top-right">
            <div class="page-top-right-top">
                <DeviceStatus5 :typeId="1201" />
            </div>
            <div class="page-top-right-bottom">
                <EnvironmentalCurve :typeId="1201" />
            </div>
        </div>
    </div>
    <div class="page-bottom">
        <WarningInfo />
    </div>
</template>
<script lang="ts" name="YWTC" setup>
import DeviceInfo from '../components/DeviceInfo.vue';
import DeviceImage from '../components/DeviceImage.vue';
import EnvironmentalCurve from '../components/EnvironmentalCurve.vue';
import WarningInfo from '../components/WarningInfo.vue';
import DeviceStatus5 from '../components/DeviceStatus5.vue';

onMounted(() => {});
</script>
<style scoped lang="less">
.page-top-left {
    flex: 5;
    margin-right: 16px;
}
.page-top-right {
    flex: 11;
    .page-top-right-top {
        width: 100%;
        height: 402px;
    }
    .page-top-right-bottom {
        margin-top: 16px;
        width: 100%;
        height: 370px;
    }
}
</style>
